=== debian/changelog ===
kde-workspace (4:4.9.4-0ubuntu0.2) quantal; urgency=low

  * Add kubuntu_revert_285553e.diff to revert upstream commit 
    285553edce61f65a88d9067136bf138e44efb149 as it causes brightness
    flickering on some systems (LP: #1088150)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 05 Jan 2013 17:36:32 +0100

kde-workspace (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)
    - drop 0001-Revert-dont-accidentally-trigger-the-last-match.patch,
      applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:49:06 +0100

kde-workspace (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - refresh kubuntu_always_show_kickoff_subtext.diff
    - drop fix-powerdevil-profile-generation.patch, applied upstream
    - add 0001-Revert-dont-accidentally-trigger-the-last-match.patch from
      upstream (kde bug 309787)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:33:24 +0100

kde-workspace (4:4.9.2-0ubuntu2.1) quantal-proposed; urgency=low

  * Add fix-powerdevil-profile-generation.patch to ensure powerdevil
    profiles are created using appropriate information on support of suspend
    and hibernate (LP: #1066892) 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 15 Oct 2012 15:49:07 +0200
