## kde-workspace 4.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Used e.g. in KDE4WorkspaceConfig.cmake, Alex
 set(KDE4WORKSPACE_VERSION_MAJOR 4)
 set(KDE4WORKSPACE_VERSION_MINOR 9)
-set(KDE4WORKSPACE_VERSION_PATCH 4)
+set(KDE4WORKSPACE_VERSION_PATCH 5)
 set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )
