=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4),
+ libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5),
  libkactivities-dev (>= 4:4.9.4), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
