## kde-workspace 4.10.0

=== debian/changelog ===
kde-workspace (4:4.10.0-0ubuntu3) raring; urgency=low

  * New binary package kde-workspace-randr to separate out randr tools,
    not installed by default as we use kscreen now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Feb 2013 18:50:10 +0000

kde-workspace (4:4.10.0-0ubuntu2) raring; urgency=low

  * Don't apply kubuntu_kde-workspace-kwin-touch-mouseevents-translation.diff
    workaround for libxi clashing with libxfixes (plus kwin author not entirely happy
    with the patch)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Feb 2013 16:49:13 +0000

kde-workspace (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update kde-window-manager-common.install and sort it 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Feb 2013 11:40:40 +0000

kde-workspace (4:4.9.98a-0ubuntu2) raring; urgency=low

  * Add kde-workspace-kwin-touch-mouseevents-translation.diff from upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Jan 2013 21:03:05 +0000

kde-workspace (4:4.9.98a-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Update .install files
  * Remove 0001-Revert-dont-accidentally-trigger-the-last-match.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:12:26 +0000

kde-workspace (4:4.9.97-0ubuntu4) raring; urgency=low

  * Remove ktouchpadenabler files from kde-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jan 2013 15:02:08 +0000

kde-workspace (4:4.9.97-0ubuntu3) raring; urgency=low

  * Add missing file ktouchpadenabler.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Jan 2013 15:38:30 +0000

kde-workspace (4:4.9.97-0ubuntu2) raring; urgency=low

  * Add kubuntu_revert_285553e.diff to revert upstream commit
    285553edce61f65a88d9067136bf138e44efb149 as it causes brightness
    flickering on some systems (LP: #1088150)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 06 Jan 2013 01:01:01 +0100

kde-workspace (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:28:39 +0100

kde-workspace (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Harald Sitter ]
  * Drop kubuntu_kdm_plymouth_transition.diff as discussed on the mailing
    list. Since we do not use KDM by default anymore and since the patch
    introduces issues that are not present with a vanilla KDM.
    LP: #886946, #578732, #553567
  * Update kdm.upstart script to quit-wait-sleep on plymouth regardless of
    the runlevel.

  [ Rohan Garg ]
  * Update install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:22:32 +0000

kde-workspace (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove qreal_double_fix.diff now upstream
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:44:52 +0000

kde-workspace (4:4.9.80-0ubuntu7) raring; urgency=low

  * Add missing Breaks/Replaces for ktouchpadenabler on kde-workspace-bin and
    kde-window-manager-common

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 04:07:15 -0500

kde-workspace (4:4.9.80-0ubuntu6) raring; urgency=low

  * Add new binary for ktouchpadenabler, previously provided from a
    separate source (LP: #1083060)
    - Remove ktouchpadenabler files from kde-window-manager-common.install and
      kde-workspace-bin.install
  * Update package descriptions to refer to KDE workspace instead of KDE
    Base Workspace

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 02:01:41 -0500

kde-workspace (4:4.9.80-0ubuntu5) raring; urgency=low

  * Fix install/upgrade failures due to duplicate file installation
    - Remove kcmview1394/oui.db from kde-workspace-data.install and
      kcm_view1394.so from kde-workspace-bin.install to fix file conflicts
    - Add kinfocenter Breaks/Replaces kde-workspace-data <<
      4:4.9.80-0ubuntu5~ and kde-workspace-bin << 4:4.9.80-0ubuntu5~

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Nov 2012 18:18:25 +0100

kde-workspace (4:4.9.80-0ubuntu4) raring; urgency=low

  * Fix install/upgrade failures due to duplicate file installation
    (LP: #1082345)
    - Remove kcmview1394.desktop from kde-window-manager-common.install
    - Add kinfocenter Breaks/Replaces kde-window-manager-common <<
      4:4.9.80-0ubuntu4~

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 19:29:36 -0500

kde-workspace (4:4.9.80-0ubuntu3) raring; urgency=low

  * Add qreal_double_fix.diff to fix FTBFS on armhf
  * Additional symbols file updates

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 01:53:16 -0500

kde-workspace (4:4.9.80-0ubuntu2) raring; urgency=low

  * Update libkwinglutils1abi1.symbols, ABI incompatible but upstream
    has mechanisms to ensure it does not get used if incompatible plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Nov 2012 12:27:09 +0000

kde-workspace (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Rohan Garg ]
  * Add build-deps on libxcb*

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_disable_remote_widgets_browser.diff no longer needed
  * Update .install files
  * Add build-depends on nepomuk-core-dev and libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:50:33 +0000

kde-workspace (4:4.9.3-0ubuntu2) raring; urgency=low

  * add 0001-Revert-dont-accidentally-trigger-the-last-match.patch from
    upstream (kde bug 309787)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 15 Nov 2012 23:46:20 +0100

kde-workspace (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix-powerdevil-profile-generation.patch, applied upstream
    - refresh kubuntu_always_show_kickoff_subtext.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:28:33 +0100

kde-workspace (4:4.8.3-0r1) raring; urgency=low


