=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5),
- libkactivities-dev (>= 4:4.9.4), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
+ libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0),
+ libkactivities-dev (>= 4:4.10.0), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
  libdbusmenu-qt-dev (>= 0.6.0),
@@ -32,7 +32,19 @@
  libpng12-dev, libjpeg-dev, libxcursor-dev,
  libqalculate-dev, libglib2.0-dev,
  libqtwebkit-dev,
- libprison-dev
+ libprison-dev,
+ libxcb-composite0-dev,
+ libxcb-damage0-dev,
+ libxcb-xfixes0-dev,
+ libxcb-render0-dev,
+ libxcb-randr0-dev,
+ libxcb-shape0-dev,
+ libxcb-shm0-dev,
+ libxcb-sync0-dev,
+ libxcb-image0-dev,
+ libxcb-render-util0-dev,
+ libqjson-dev,
+ nepomuk-core-dev,
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.kde.org/
@@ -86,7 +98,7 @@
  It integrates best with applications following the standards used by the KDE
  Platform.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-netbook
 Architecture: any
@@ -101,7 +113,7 @@
  the KDE Platform. It integrates best with applications following the standards
  used by the KDE Platform.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kde-workspace-bin
 Architecture: any
@@ -124,7 +136,7 @@
  the default KDE screensavers and many KDE configuration modules. This
  package is essential to start and use KDE Plasma Workspace.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kdebase-workspace-bin
 Section: oldlibs
@@ -134,6 +146,14 @@
 Description: transitional package for kde-workspace-bin
  This is a dummy transitional package for kde-workspace-bin and can be safely
  removed after the installation is complete.
+
+Package: kde-workspace-randr
+Architecture: all
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: kde-workspace (<< 4:4.10.0-0ubuntu3)
+Breaks: kde-workspace (<< 4:4.10.0-0ubuntu3)
+Description: randr tools from kde-workspace
+ Screen resize and rotate tools from KDE Workspace.
 
 Package: kde-workspace-data
 Architecture: all
@@ -149,7 +169,7 @@
  This package contains architecture-independent shared data files needed for a
  basic KDE Workspace installation.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kde-workspace-data-extras
 Section: oldlibs
@@ -172,7 +192,7 @@
  This package contains development files for building software that uses
  libraries from the KDE Plasma Workspace.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: kdebase-workspace-dev
 Section: oldlibs
@@ -195,7 +215,7 @@
  workspace Plasma widgets, but they may be useful for any other Plasma widget
  too.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-widgets-workspace
 Architecture: any
@@ -213,12 +233,11 @@
  This package also includes the default animator used by the main KDE Plasma
  Desktop shell.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengines
 Architecture: all
 Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
-# plasma-scriptengine-qedje (>= ${source:Version}),
  plasma-scriptengine-ruby (>= ${source:Version}),
  plasma-scriptengine-python (>= ${source:Version}),
  plasma-scriptengine-webkit (>= ${source:Version}),
@@ -229,16 +248,7 @@
  This metapackage depends on all Plasma script engines which kde-workspace
  module provides and suggests script engines from other official KDE modules.
  .
- This package is part of the KDE base workspace module.
-
-#Package: plasma-scriptengine-qedje
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Description: QEdje script engine for Plasma
-# This package provides the Edje script engine for Plasma. You have to install it
-# if you want to use Plasma widgets and data engines written in Edje.
-# .
-# This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengine-ruby
 Architecture: all
@@ -247,7 +257,7 @@
  This package provides the Ruby script engine for Plasma. You have to install it
  if you want to use Plasma widgets and data engines written in Ruby.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengine-python
 Architecture: all
@@ -257,7 +267,7 @@
  This package provides the Python script engine for Plasma. You have to install
  it if you want to use Plasma widgets and data engines written in Python.
  .
- This package is part of the KDE base workspace module.
+ This package is part of the KDE workspace module.
 
 Package: plasma-scriptengine-webkit
 Architecture: any
@@ -265,4 +275,3 @@
 Description: Web and Mac OS X dashboard widget support for Plasma
  This package provides the WebKit script engine for Plasma which adds support
  for the webpage widgets written in HTML and JavaScript and for the Apple
- Mac OS X dashboard widgets. You have to install this package if you want to be
